'*************************************************
' DAIO VOICE COMMANDER LIBRARY Version 1.10
' Visual Basic Definitions
'
' Copyright (c) 1993, Digital Analog Input Output.
'*************************************************


' Maximum sizes
Global Const FILENAME_MAX = 63
Global Const MAX_LABEL = 16
Global Const LABELNAME_MAX = 16
Global Const MAX_TRAIN_PASS = 6

' default sensitivity level 0 (low) to 9 (high)
Global Const DEFAULT_SENSITIVITY = 4


' Status bits
Global Const STATE_IDLE = 0
Global Const STATE_READY = 1
Global Const STATE_ACK = 2
Global Const MODE_RUNNING = 4
Global Const MODE_POLLING = 8
Global Const MODE_EVENT = 16
Global Const MODE_TRAIN = 32
Global Const MODE_RECOG = 64
Global Const STATE_WORKING = 128

Global Const NO_ERROR = 0

' Error codes returned by the library.
Global Const E_INTERNAL_ERROR = 25001
Global Const E_FILE_ACCESS_ERROR = 25002
Global Const E_BAD_FILE = 25003
Global Const E_WRITE_FILE = 25004
Global Const E_READ_FILE = 25005
Global Const E_RESOURCE_UNAVAILABLE = 25006
Global Const E_TOO_MANY_ITEMS = 25007
Global Const E_ITEM_NOT_FOUND = 25008
Global Const E_DRIVER_DOES_NOT_EXIST = 25009
Global Const E_OUT_OF_MEMORY = 25010
Global Const E_MEMORY_CORRUPT = 25011
Global Const E_HARDWARE_FAILURE = 25012
Global Const E_MACHINE_TOO_SLOW = 25013
Global Const E_SPEECH_TOO_SHORT = 25014
Global Const E_SPEECH_TOO_LONG = 25015
Global Const E_NOISE_WARNING = 25016
Global Const E_VOCABULARY_CORRUPT = 25017
Global Const E_VALUE_OUT_OF_RANGE = 25018
Global Const E_QUIT = 25019

' Specific for DVCL Windows
Global Const E_UNABLE_TO_ACCESS_DLL = 25020
Global Const E_SERVER_NOT_FOUND = 25021
Global Const E_ADD_FAILED = 25022
Global Const E_WORD_NOT_FOUND = 25023
Global Const E_WORD_TOO_LONG = 25024
Global Const E_EMPTY_WORD = 25025
Global Const E_BAD_CHARACTER_IN_WORD = 25026
Global Const E_NULL_POINTER_ARGUMENT = 25027
Global Const E_WAVE_INPUT_ERROR = 25028
Global Const E_MULTI_TASKING_ERROR = 25029
Global Const E_INVALID_COMMAND = 25030
Global Const E_GETTRAIN_ERROR = 25031
Global Const E_GETBEST_ERROR = 25032
Global Const E_BAD_WINDOW_HANDLE = 25033
Global Const E_MISSING_ARGUMENT = 25034

' Specific for Visual Basic
Global Const E_VBX_SYNTAX_ERROR = 25035
Global Const E_VBX_MISSING_KEYWORD = 25036
Global Const E_VBX_MISSING_ARGUMENT = 25037
Global Const E_VBX_NOT_NUMERIC = 25038

' Base error number for DVCL custom control
Global Const VBX_ErrorBase = 25000

' Base error number for DAIO internal errors
Global Const E_DAIO_INTERNAL_ERROR = 25100

